Loading...
Searching...
No Matches
kvEntryList Struct Reference
Types

A list of KeyValue store entries. More...

`#include <nats.h>`

## Public Attributes

kvEntry ** | Entries
int | Count

## Detailed Description

Used by some APIs which return a list of kvEntry objects.

Those APIs will not create the object, but instead initialize the object.

Typically, the user will define the object on the stack and pass a pointer to this object to APIs that require a pointer to a kvEntryList object.

Similarly, calling kvEntryList_Destroy will call kvEntry_Destroy on entries in the list, free the array containing pointers to the entries, but not free the kvEntryList object itself.

See also
  kvEntryList_Destroy

## Member Data Documentation

## Entries

kvEntry** kvEntryList::Entries

## Count

int kvEntryList::Count

The documentation for this struct was generated from the following file:

- nats.h